Runtime

## org.eclipse.gmf.runtime.emf.type.core
Interface IHintedType

All Superinterfaces:
  IAdaptable, IElementType

All Known Subinterfaces:
  INotationType

public interface IHintedType
extends IElementType

A type that requires a semantic hint for view creation.

This interface may be implemented by clients if the class extends the abstract implementation `ElementType` as `IElementType` is not meant to be implemented by clients.

Method Summary
`java.lang.String` `getSemanticHint()` Gets the semantic hint required for view creation.

Methods inherited from interface org.eclipse.gmf.runtime.emf.type.core.IElementType
`canEdit, getAllSuperTypes, getDisplayName, getEClass, getEditCommand, getEditHelper, getIconURL, getId`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getSemanticHint

    public java.lang.String getSemanticHint()

  Gets the semantic hint required for view creation.

  Returns:
    the semantic hint.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.